import Vue from 'vue'
import VueRouter from 'vue-router'
import Canary from '../views/Canary.vue'
import Cherry from '../views/Cherry.vue'
import Tracer from '../views/Tracer.vue'

Vue.use(VueRouter)

  const routes = [
  {
    path: '/canary',
    name: 'Canary',
    component: Canary
  },
  {
    path: '/cherry',
    name: 'Cherry',
    component: Cherry
  },
  {
    path: '/tracer',
    name: 'Tracer',
    component: Tracer
  },
	{
		path: '*', // 页面不存在的情况下会跳到home
		redirect: '/canary',
		name: 'notFound',
		hidden: true
	}
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
